#include "main.h"
#include <iostream>
#include <random>
#include <unistd.h>

void safe_exit(int code) {
  try {
    std::clog << "Exiting\n";

    close(serverSocket);
  } catch (...) {
  }
  exit(code);
}

int get_random_num(int min, int max) {
  std::random_device dev;
  std::mt19937 rng(dev());
  std::uniform_int_distribution<std::mt19937::result_type> dist(
      min, max); // set range

  return dist(rng);
}