package org.pupes.tabletpccontrol

import android.annotation.SuppressLint
import androidx.appcompat.app.AppCompatActivity
import android.os.Bundle
import android.util.Log
import android.widget.Switch
import com.lukelorusso.verticalseekbar.VerticalSeekBar
import javax.crypto.Cipher
import javax.crypto.spec.IvParameterSpec
import javax.crypto.spec.SecretKeySpec
import android.util.Base64


class MainActivity : AppCompatActivity() {
    @SuppressLint("UseSwitchCompatOrMaterialCode")
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_main)

        val audioVerticalSeekBar = findViewById<VerticalSeekBar>(R.id.AudioVerticalSeekBar)
        val muteSwitch = findViewById<Switch>(R.id.MuteSwitch)

        audioVerticalSeekBar.setOnProgressChangeListener { progress ->
            // Handle the progress value here
            Log.d("VerticalSeekBar", "Current progress: $progress")
        }

        muteSwitch.setOnCheckedChangeListener { _, isChecked ->
            // Handle the switch state here
            Log.d("Switch", "Switch is checked: $isChecked")
        }



    }

}