package org.pupes.tabletpccontrol
import javax.crypto.Cipher
import javax.crypto.spec.IvParameterSpec
import javax.crypto.spec.SecretKeySpec
import android.util.Base64

fun decrypt(base64CipherText: String, key: String, iv: String): String {
    val cipher = Cipher.getInstance("AES/CBC/PKCS5Padding")

    val secretKey = SecretKeySpec(key.toByteArray(Charsets.UTF_8), "AES")
    val ivParams = IvParameterSpec(iv.toByteArray(Charsets.UTF_8))

    cipher.init(Cipher.DECRYPT_MODE, secretKey, ivParams)

    val decryptedBytes = cipher.doFinal(Base64.decode(base64CipherText, Base64.DEFAULT))

    return String(decryptedBytes, Charsets.UTF_8)
}

// Example usage
fun main() {
    val base64CipherText = "YOUR_BASE64_ENCRYPTED_TEXT_HERE"
    val key = "key123456789101" // Must match the C++ key length
    val iv = "iv1234567891111"  // Must match the C++ IV length

    val decryptedText = decrypt(base64CipherText, key, iv)
    println("Decrypted Text: $decryptedText")
}
